CreateImageUpload
POST
/media/v1/projects/{project_id}/images/uploadPath Parameters
project_id*project_id
The project_id path parameter.
Request Body
requiredapplication/json{
"org_id": "OR98234j23",
"name": "My Image"
}org_id?string
name?string
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/images.v1.ImageUpload",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"examples": [
"LmNoPqR678"
],
"title": "image_id"
},
"upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/image.jpg"
],
"title": "upload_url"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "ImageUpload",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/media/v1/projects/Bq4y3QB38S/images/upload" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/images.v1.ImageUpload",
"$ref-value": {
"type": "object",
"properties": {
"image_id": {
"type": "string",
"examples": [
"LmNoPqR678"
],
"title": "image_id"
},
"upload_url": {
"type": "string",
"examples": [
"https://cdn.example.com/image.jpg"
],
"title": "upload_url"
},
"expires_at": {
"allOf": [
{
"$ref": "#/components/schemas/google.protobuf.Timestamp",
"$ref-value": {
"type": "string",
"examples": [
"2023-01-15T01:30:15.01Z",
"2024-12-25T12:00:00Z"
],
"format": "date-time",
"description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
}
}
],
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "expires_at"
}
},
"title": "ImageUpload",
"additionalProperties": false
}
}